Bug 13626 - Console fonts on old ATI video boards
Summary: Console fonts on old ATI video boards
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: initscripts   
(Show other bugs)
Version: 6.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-07-09 16:10 UTC by Ed McKenzie
Modified: 2014-03-17 02:14 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-07-09 16:10:28 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ed McKenzie 2000-07-09 16:10:27 UTC
Some old VGA cards have (very) broken default fonts (esp. original Mach64 
cards); unfortunately, the kernel doesn't load a font unless fbcon is 
enabled, and RH6.2's US locale doesn't load a font by default. Proposed 
solution is to set a value for SYSFONT at the top of /sbin/setsysfont; 
default-8x16 would be a satisfactory choice, but UniCyr-sans-8x16 looks 
=much= nicer!

Comment 1 Nalin Dahyabhai 2000-07-12 19:25:29 UTC
Set "SYSFONT" to something like "UniCyr-sans-8x16" or "default8x16"
in your /etc/sysconfig/i18n file, and rc.sysinit will do this for you.  Doing
this by default would really screw up the folks out there with EGA or
old-style Hercules boards, and be of no use to users of serial terminals.


Note You need to log in before you can comment on or make changes to this bug.